Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.jxpath.impl
Class JxpathPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.gmt.modisco.infra.query.jxpath.impl.JxpathPackageImpl

All Implemented Interfaces:
  JxpathPackage

    public class JxpathPackageImpl

extends EPackageImpl
implements JxpathPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmt.modisco.infra.query.jxpath.JxpathPackage
`JxpathPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.query.jxpath.JxpathPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, JX_PATH_MODEL_QUERY, JX_PATH_MODEL_QUERY__DESCRIPTION, JX_PATH_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT, JX_PATH_MODEL_QUERY__LOWER_BOUND, JX_PATH_MODEL_QUERY__MODEL_QUERY_SET, JX_PATH_MODEL_QUERY__NAME, JX_PATH_MODEL_QUERY__PARAMETERS, JX_PATH_MODEL_QUERY__QUERY, JX_PATH_MODEL_QUERY__RETURN_TYPE, JX_PATH_MODEL_QUERY__SCOPE, JX_PATH_MODEL_QUERY__UPPER_BOUND, JX_PATH_MODEL_QUERY_FEATURE_COUNT`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`JxpathFactory` | `getJxpathFactory()`
`EAttribute` | `getJXPathModelQuery_Query()`
`EClass` | `getJXPathModelQuery()`
`static JxpathPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static JxpathPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `JxpathPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `JxpathPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getJXPathModelQuery

    public EClass getJXPathModelQuery()

  Specified by:
    `getJXPathModelQuery` in interface `JxpathPackage`
  Returns:
    the meta object for class 'JX Path Model Query'.
  See Also:
    `JXPathModelQuery`

### getJXPathModelQuery_Query

    public EAttribute getJXPathModelQuery_Query()

  Specified by:
    `getJXPathModelQuery_Query` in interface `JxpathPackage`
  Returns:
    the meta object for the attribute 'Query'.
  See Also:
    `JXPathModelQuery.getQuery()`, `JxpathPackage.getJXPathModelQuery()`

### getJxpathFactory

    public JxpathFactory getJxpathFactory()

  Specified by:
    `getJxpathFactory` in interface `JxpathPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD